<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>team3</title>
    <link rel="stylesheet" href="style.css">
</head>

<body class="body2">
    <div class="container-header">
        <div class="header2">
            <h1 class="judul2">Jurusan di GA Batch#7</h1>
        </div>
        <div class="menu2">
            <ul class="menu-item2">
                <li><a href="#frontend">Front-End</a></li>
                <li><a href="#backend">Back-End</a></li>
                <li><a href="#react-native">React-Native</a></li>
                <br><br><br>
                <li class="cuy"><a href="index.html">Page 1</a></li>
                <li><a href="page-2.html">Page 2</a></li>
                <li><a href="page-3.html">Page 3</a></li>
            </ul>
        </div>
    </div>
    <div class="article2">
        <h3 id="backend" class="backend">Sekilas Tentang Back-End</h3>

        <p>Untuk memahami back end developer atau server side, kamu harus mengetahui front end dan bagaimana keduanya berinteraksi.</p>
        <p>Front end, juga disebut pemrograman client-side, adalah apa yang terjadi di browser semua yang dilihat dan berinteraksi oleh pengguna.</p>
        <p>Di sisi lain, back end adalah segala hal yang berhubungan dengan server (misal pada situs atau cloud) dan database.</p>
        <p>Mereka adalah mesin yang bekerja di balik layar, semua yang tidak dilihat oleh pengguna akhir atau berinteraksi langsung, tetapi itu memberi kekuatan pada apa yang terjadi.</p>
        <p>Back end developer fokus pada database, scripting, dan arsitektur dari sebuah website. Kode yang ditulis oleh mereka akan membantu mengomunikasi database informasi kepada browser.</p>
        <p>Pada umumnya, orang-orang yang bekerja sebagai back end developer dikenal sebagai pemecah masalah terbaik. Mereka dinilai selalu memakai pikiran logis dalam menjalankan pekerjaan.</p>
        <p>Selain itu, mereka cenderung lebih tertarik pada fungsi dan sistem daripada tampilan yang akan muncul kepada konsumen.</p>
        <p>
            Secara alur, kerja back end dimulai dari layout atau tampilan layar muka web yang dikembangkan oleh front end.
        </p>
        <p>
            Dari layout tersebut, mereka akan memilih sistem yang cocok atau sesuai dengan apa yang dikehendaki oleh klien atau perusahaan. Oleh karena itu, tidak mengherankan apabila kerja keduanya tidak bisa dipisahkan.
        </p>

        <h3 id="frontend" class="frontend">Sekilas Tentang Front-End</h3>

        <p>Di tengah maraknya kemunculan perusahaan berbasis teknologi, peran engineer memiliki nilai yang tak kalah besar dengan tim lain. Salah satu posisi yang banyak diminati di bagian engineer adalah front end developer.</p>
        <p>Front end developer bekerja secara beriringan dengan back end developer. Mereka dikhususkan mengerjakan halaman interaksi antara user dengan situs atau aplikasi.</p>

        <p>Menurut UpWork, front end adalah “client-side” programming. Hal ini berbeda dengan back end yang kerap disebut sebagai “server–side” programming.</p>

        <p>Dengan sebutannya sebagai client-side” ini, bisa disebutkan bahwa pekerjaan ini banyak berkaitan dengan pengguna. Terutama, mereka yang memakai situs atau aplikasi dari perusahaan.</p>

        <p>Jadi, bayangkan sebuah perusahaan memiliki aplikasi. Nah, ketika ada orang yang melihat aplikasi itu, di situlah tim ini bekerja. Front end membuat interaksi dengan pengguna lewat banyak halaman, klik, atau swipe.</p>

        <p>Orang yang berposisi sebagai front end ini pada intinya bekerja untuk menciptakan merespons keinginan dari user.</p>

        <p>Respons ini kelak akan diteruskan kepada back end, yang menjadi motor dari situs atau aplikasi, dengan bentuk berupa permintaan atau penarikan data.</p>

        <h3 id="react-native" class="react-native">Sekilas Tentang React-Native</h3>

        <p>React Native adalah framework yang digunakan untuk membuat mobile app di dua sistem operasi sekaligus, yaitu Android dan iOS. Untuk itulah, React Native disebut juga dengan cross-platform network karena Anda bisa membuat satu aplikasi yang bisa
            digunakan di berbagai platform, yaitu Android dan iOS.</p>

        <p>Dalam membuat sebuah aplikasi, Anda perlu belajar bahasa pemrograman yang spesifik atau khusus (disebut juga dengan ‘Native’) untuk platform tersebut. Hal ini dikarenakan setiap sistem operasi memiliki bahasa pemrograman yang berbeda-beda.</p>

        <p>Untuk membuat aplikasi di Android, Anda butuh belajar bahasa pemrograman Java. Sedangkan untuk membuat aplikasi di iOS, Anda perlu belajar menggunakan bahasa pemrograman Objective C atau Swift. Namun dengan menggunakan React Native sebagai framework,
            Anda tidak perlu lagi melakukan hal spesifik tersebut.</p>

        <p>Alih-alih menggunakan Java atau Objective C maupun Swift, Anda hanya butuh belajar bahasa pemrograman Javascript untuk bisa membuat aplikasi dengan menggunakan platform ini. Javascript sendiri biasa digunakan oleh para developer dalam membuat
            website.</p>

        <p>Jadi, dengan menggunakan platform ini, Anda hanya perlu membuat satu aplikasi. Anda tidak perlu lagi membuat banyak versi aplikasi yang compatible dengan sistem operasi yang ada.</p>

    </div>
    <div class="footer2">
        <p>Fuad Najibullah - 2020</p>
    </div>
</body>

</html>